Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 735179 - Review Request: openstack-keystone - OpenStack Identity Service
Review Request: openstack-keystone - OpenStack Identity Service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-01 13:33 EDT by Matt Domsch
Modified: 2011-12-12 16:56 EST (History)
4 users (show)

See Also:
Fixed In Version: openstack-keystone-2011.3.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-12 16:56:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
markmc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2011-09-01 13:33:29 EDT
Spec URL: http://domsch.com/fedora/openstack/keystone/openstack-keystone.spec
SRPM URL: http://domsch.com/fedora/openstack/keystone/openstack-keystone-1.0-0.1.20110901git396f0bfd.src.rpm
Description:
Keystone is a proposed independent authentication service for
OpenStack (http://www.openstack.org).

This initial proof of concept aims to address the current use cases in
Swift and Nova which are:

* REST-based, token auth for Swift
* many-to-many relationship between identity and tenant for Nova.
Comment 1 Mark McLoughlin 2011-09-02 07:44:16 EDT
Looks like a great start, here's what I came up with after a first look:

To fix before approval:

 - invalid-url Source0, we should use one of the tarballs available here: 
     http://keystone.openstack.org/tarballs/
   Monty Taylor	looks like the contact point to	get the	tarball	generation
   job fixed:
     https://jenkins.openstack.org/view/Keystone/job/keystone-tarball/

 - python_sitelib not needed any more:
     http://fedoraproject.org/wiki/Packaging:Python#Macros

 - BR python2-devel required:
     http://fedoraproject.org/wiki/Packaging:Python#BuildRequires

 - These deps all look to be just needed for the unit tests:
     BuildRequires: python-coverage python-webtest python-unittest2 python-pep8
   we could try running the tests in %check, but otherwise drop those BR
   I think

 - Don't need to clean buildroot in %install any more:
     http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

 - Need	to deal	with config file, log file, user/group creation, systemd units

Suggestions:

 - http://keystone.openstack.org/ is a better URL?
 - It's	a style	preference, I guess, but I find	having only a single package 
   listed for each Requires: tag as more readable

To bugzilla once the package has been added:

 - bugzilla for	no-manual-page-for-binary
 - request LICENSE be included in the distribution
 - SELinux policy
 - uidgid reservation

I've pushed my attempt to fix these up here:

  https://github.com/markmc/openstack-fedora-specs
Comment 2 Matt Domsch 2011-09-09 16:30:26 EDT
I've applied Mark's patches, and updated to newer upstream tarball that incorporates what was patch1 already.

http://domsch.com/fedora/openstack/keystone/openstack-keystone-1.0-0.2.d4.1108.src.rpm

http://domsch.com/fedora/openstack/keystone/openstack-keystone.spec

Thanks to Mark for these patches.
Comment 3 Mark McLoughlin 2011-09-13 11:09:46 EDT
Cool stuff, LGTM!

Matt - you'll bugzilla those four last items above, right?
Comment 4 Matt Domsch 2011-09-26 16:55:07 EDT
yes, I'll file bugzillas for:
- no-manual-page-for-binary
- SELinux policy
- uidgid reservation

I'll fix the spec to include the LICENSE file in %doc, it does exist in upstream.
Comment 5 Matt Domsch 2011-10-03 17:31:47 EDT
Hmm, LICENSE disappeared from upstream.  I'll bz that.

New build which is the final diablo release.  Dropped the two patches, added BR: systemd-units for _unitdir.

http://domsch.com/fedora/openstack/keystone/openstack-keystone.spec
http://domsch.com/fedora/openstack/keystone/openstack-keystone-1.0-0.3.d4.1213.fc14.src.rpm  (builds against rawhide, not f14 due to systemd stuff)
Comment 6 Matt Domsch 2011-10-03 22:45:57 EDT
here's the scratch build against rawhide (f17)
http://koji.fedoraproject.org/koji/taskinfo?taskID=3400848
Comment 7 Mark McLoughlin 2011-10-04 07:13:05 EDT
Matt, the package is approved - can we not just do the SCM admin request and get it imported?
Comment 8 Matt Domsch 2011-10-04 09:00:04 EDT
New Package SCM Request
=======================
Package Name: openstack-keystone
Short Description: OpenStack Identity Service
Owners: mdomsch markmc pbrady
Branches: f15 f16 el6
InitialCC:
Comment 9 Gwyn Ciesla 2011-10-04 09:08:40 EDT
Git done (by process-git-requests).
Comment 10 Matt Domsch 2011-10-04 09:24:58 EDT
built in koji for rawhide and f16.
Comment 11 Fedora Update System 2011-10-04 09:34:36 EDT
openstack-keystone-1.0-0.3.d4.1213.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-keystone-1.0-0.3.d4.1213.fc16
Comment 12 Mark McLoughlin 2011-10-04 16:24:19 EDT
Nice one Matt, cool stuff!
Comment 13 Fedora Update System 2011-10-04 16:48:38 EDT
openstack-keystone-1.0-0.3.d4.1213.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2011-10-19 11:51:03 EDT
openstack-keystone-1.0-0.4.d4.1213.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-keystone-1.0-0.4.d4.1213.fc16
Comment 15 Fedora Update System 2011-11-24 17:29:25 EST
openstack-keystone-2011.3.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openstack-keystone-2011.3.1-2.fc16
Comment 16 Fedora Update System 2011-12-12 16:56:35 EST
openstack-keystone-2011.3.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.